PO4A(1p)

NOME
po4a - atualizar ambos os ficheiros PO e documentos traduzidos numa só vez

SINOPSE
po4a [options] config_file

DESCRIÇÃO
po4a (PO for anything) facilita a manutenção de tradução da documentação a usar as ferramentas clássicas do gettext. A característica principal do po4a é que ele dissocia a tradução do conteúdo da estrutura documental. Consulte a página po4a(7) para uma introdução suave a este projeto.

Quando executa o programa po4a pela primeira vez, com apenas um ficheiro de configuração e os documentos para traduzir (chamados de documentos mestres), ele produz um ficheiro POT (também chamado de modelo de tradução) que contém todas as cadeias traduzíveis no documento de uma forma que facilita o trabalho dos tradutores.

Esses ficheiros POT podem ser traduzidos com um editor específico, como o Editor de Tradução do GNOME, o Lokalize do KDE ou poedit, ou podem ser integrados a uma plataforma de localização online, como weblate ou pootle. O resultado da tradução é um conjunto de ficheiros PO, um por idioma.

Quando executa o programa po4a com os documentos mestre e os ficheiros PO, ele produz os documentos traduzidos a injetar a tradução do conteúdo (encontrada nos ficheiros PO) na estrutura do documento mestre original.

Se os documentos mestre forem alterados, o po4a atualizará os ficheiros PO e POT adequadamente, para que os tradutores possam detetar facilmente as modificações e atualizar o trabalho deles. A depender das configurações, o po4a descartará os documentos parcialmente traduzidos ou produzirá um documento a misturar inglês (para os parágrafos novos ou modificados) e o idioma de destino (para os parágrafos cuja tradução já está no ficheiro PO).

Por predefeinição, os documentos traduzidos são produzidos quando pelo menos 80% do conteúdo deles é traduzido (consulte a opção --keep abaixo). Descartar traduções assim que elas não forem 100% pode ser desanimador para os tradutores, enquanto mostrar "tradução" muito incompletas pode ser preocupante para os utilizadores finais.

  Visão geral gráfica
 documentos mestres -+----->-------->---------+
  (autoria de docs)  |                        |
                     V  (execuções do po4a)   >----+--> traduções
                     |                        |    |
  ficheiros PO ------->-----> ficheiros PO -->--+    |
   existentes                atualizados           |
     ^                             |               |
     |                             V               ^
     +----------<---------<--------+               |
      (processo de tradução manual)                |
                                                   |
 adendo ---->--------------------------------------+

Os documentos principais são de autoria de quem escreve a documentação. Todas as alterações são automaticamente refletidas pelo po4a nos ficheiros PO, que são depois atualizados pelos tradutores. Todas as alterações nos ficheiros PO (seja manual ou por po4a) são automaticamente refletidas nos documentos traduzidos. Pode imitar este comportamento a usar os scripts po4a-updatepo(1) e po4a-translate(1) em makefiles, mas isto rapidamente torna-se incômodo e repetitivo (veja po4a(7)). É altamente recomendável usar o programa po4a no seu processo de compilação.

OPÇÕES

-k, --keep
    Limite mínimo de percentagem de tradução para manter (p.ex. escrever) o ficheiro resultante (predefinição: 80). P.ex. por predefinição, ficheiros têm que ser traduzidos pelo menos a 80% para serem escritos no disco.

-h, --help
    Mostrar uma pequena mensagem de ajuda.

-M, --master-charset
    Conjunto de carateres dos ficheiros a conter os documentos a traduzir. Note que todos os ficheiros mestres devem ter o mesmo conjunto de carateres.

-L, --localized-charset
    Carrossel dos ficheiros que contêm os documentos localizados. Note que todos os documentos traduzidos utilizarão o mesmo conjunto de caracteres.

-A, --addendum-charset
    Conjunto de carateres da adenda. Note-se que todas as adendas devem estar no mesmo conjnto de carateres.

-V, --version
    Mostrar a versão do script e sair.

-v, --verbose
    Aumentar o detalhe do programa.

-q, --quiet
    Diminuir o detalhe do programa.

-d, --debug
    Saída de alguma informação de depuração.

-o, --option
    Opção/ções adicional/ais para passar ao plugin de formato. Veja a documentação de cada plugin para mais informações sobre as opções válidas e os significados deles. Por exemplo, poderia passar '-o tablecells' para o analisador AsciiDoc, enquanto o analisador de texto aceitaria '-o tabs=split'.

-f, --force
    Gera sempre os ficheiros POT e PO, mesmo se po4a considera que não é necessário.

    O comportamento predefinido (quando --force não é especificado) é o seguinte:

        Se o ficheiro POT já existe, ele é regenerado se um documento mestre ou o ficheiro de configuração é mais recente (a menos que --no-update seja fornecido). O ficheiro POT também é escrito num documento temporário e po4a verifica que as mudanças são realmente necessárias.

        Além disso, uma tradução é regenerada somente se o documento mestre dela, o ficheiro PO, uma das suas adendas ou o ficheiro de configuração é mais recente. Para evitar tentar regenerar traduções que não passam no teste de limite (ver --keep), um ficheiro com a extensão .po4a-stamp pode ser criado (ver --stamp).

    Se um documento mestre inclui ficheiros, deve usar a flag --force porque o tempo de modificação dos ficheiros incluídos não são tomados em conta.

    Os ficheiros PO são sempre regenerados com base em POT com msgmerge -U.

--stamp
    Diz po4a para criar ficheiros de informação quando uma tradução não é gerada porque não atingiu o limiar. Esses ficheiros de informação são nomeados de acordo com o documento traduzido esperado, com a extensão .po4a-stamp.

    Nota: Isso só ativa a criação dos ficheiros .po4a-stamp. Os ficheiros de informação são sempre utilizados se existirem e são removidos com --rm-translations ou quando o ficheiro é finalmente traduzido.

--no-translations
    Não gerar os documentos traduzidos, apenas atualizar os ficheiros POT e PO.

--no-update
    Não altere os ficheiros POT e PO, apenas a tradução pode ser atualizada.

--keep-translations
    Mantém os ficheiros de tradução existentes mesmo se a tradução não atingir o limite especificado por --keep. Essa opção não cria ficheiros de tradução com pouco conteúdo, mas vai gravar traduções existentes que cujo nível decai devido a alterações nos ficheiros de mestre.

    ATENÇÃO: esta opção muda o comportamento do po4a de uma maneira bastante drástica: os seus ficheiros traduzidos não serão atualizados até que a tradução melhore. Use esta opção somente se preferir enviar uma documentação traduzida desatualizada em vez de enviar apenas uma documentação não traduzida precisa.

--rm-translations
    Remover os ficheiros traduzidos (implica --no-translations).

--no-backups
    Esta flag não faz nada desde 0.41 e pode ser removida em versões posteriores.

--rm-backups
    Esta flag não faz nada desde 0.41 e pode ser removida em versões posteriores.

--translate-only translated-file
    Traduzir apenas o ficheiro especificado. Pode ser útil para acelerar o processamento se um ficheiro de configuração contém muitos ficheiros. Note que o que esta opção faz não é possível atualizar ficheiros PO e POT. Esta opção pode ser usada várias vezes.

--variable var=value
    Definir uma variável que será expandida no ficheiro de configuração po4a.Cada ocorrência de $(var) será substituída por value. Esta opção pode ser usada várias vezes.

--srcdir SRCDIR
    Definir o diretório de base para todos os documentos de entrada especificados no ficheiro de configuração po4a.

    Se destdir e srcdir forem especificados, os ficheiros de entrada serão pesquisados nos diretórios seguintes, em ordem: destdir, o diretório atual e srcdir. Os ficheiros de saída são gravados em destdir, se forem especificados, ou no diretório atual.

--destdir DESTDIR
    Definir o diretório base para todos os documentos de saída especificados no ficheiro de configuração po4a (veja --srcdir acima).

  Opções que modificam o cabeçalho do POT

--porefs type
    Especifica o formato de referência. O argumento tipo pode ser um de: never para não produzir qualquer referência, file para especificar o ficheiro sem o número da linha, counter para substituir os números de linha a aumentar o contador e full para incluir referências completas. (predefinição: full).

--wrap-po no|newlines|number (predefinição: 76)
    Especifica como o ficheiro po deve ter a quebra de linha. Isso permite escolher entre ficheiros que tem boa quebra de linha, mas que podem levar a conflitos de git ou ficheiros que são mais fáceis de manipular automaticamente, mas mais difíceis de ler para humanos.

    Historicamente, o pacote gettext reformatou os ficheiros po na 77ª coluna para questões cosméticas. Esta opção especifica o comportamento de po4a. Se for definido como um valor numérico, o po4a quebrará linha do ficheiro po após esta coluna e após novas linhas no conteúdo. Se for definido como newlines, o po4a dividirá apenas o msgid e o msgstr após as novas linhas no conteúdo. Se for definido como no, o po4a não quebrará linha do ficheiro po. Os comentários de referência têm sempre as linhas quebradas pelas ferramentas do gettext que usamos internamente.

    Observe que esta opção não afeta a maneira como o msgid e o msgstr sofrem quebra de linhas ou seja, como os caracteres de nova linha são adicionados ao conteúdo dessas cadeias.

--master-language
    Idioma dos ficheiros fonte que contêm os documentos a traduzir. Note que todos os documentos principais devem usar o mesmo idioma.

--msgid-bugs-address e-mail@endereço
    Definir o endereço do relatório para msgid bugs. Por predefinição, os ficheiros POT criados não têm campos Report-Msgid-bugs-To.

--copyright-holder string
    Definir o titular dos direitos de autor no cabeçalho POT. O valor predefinido é " Free Software Foundation, Inc."

--package-name string
    Definir o nome do pacote para o cabeçalho POT. A predefinição é "PACKAGE".

--package-version string
    Definir o nome do pacote para o cabeçalho POT. A predefinição é "VERSION".

  Opções para modificar os ficheiros PO

--msgmerge-opt options
    Opções extra para msgmerge(1).

    Nota: $lang será estendida ao idioma atual.

--no-previous
    Esta opção remove --previous a partir das opções passadas para B <msgmerge> Isto permite suportar versões do gettext mais cedo do que 0.16.

--previous
    Esta opção acrescenta --previous ás opções passadas para msgmerge. Isso requer gettext 0.16 ou posterior e é ativado por predefinição.

CONFIGURATION FILE
po4a espera um ficheiro de configuração como argumento. Este ficheiro deve conter os elementos seguintes:

•   O caminho aos ficheiros PO e a lista de idiomas existentes no projeto;

•   Opcionalmente, algumas opções globais e os chamados aliases de configuração que são usados como modelos para configurar ficheiros mestres individuais ;

•   A lista de cada ficheiro mestre a traduzir, juntamente com parâmetros específicos.

Todas as linhas contêm um comando entre colchetes, seguido pelos seus parâmetros. Os comentários começam com o caractere "#" e correm até ao fim da linha. Pode escapar do fim da linha para espalhar um comando por várias linhas.

Alguns exemplos completos são apresentados nesta página, enquanto outros exemplos encontram-se no diretório "t/cfg" da distribuição fonte.

  Encontrar os ficheiros PO e POT
A solução mais simples é fornecer o caminho aos ficheiros POT e PO, da maneira seguinte:

 [po4a_paths] man/po/project.pot de:man/po/de.po fr:man/po/fr.po

Isto especifica o caminho ao ficheiro POT primeiro e, em seguida, os caminhos aos ficheiros PO alemães e francêses.

A mesma informação pode ser escrita da seguinte forma para reduzir o risco de erros de cópia/colagem:

 [po4a_langs] fr de
 [po4a_paths] man/po/project.pot $lang:man/po/$lang.po

O componente $lang é expandido automaticamente a usar a lista de idiomas fornecidos, a reduzir o risco de erro de copiar/colar quando um novo idioma é adicionado.

Pode compactar ainda mais as mesmas informações a fornecer apenas o caminho ao diretório que contém o seu projeto de tradução, como a seguir.

 [po_directory] man/po/

O diretório fornecido deve conter um conjunto de ficheiros PO, cada um chamado XX.po, o "XX" a ser o ISO 631-1 do idioma utilizado neste ficheiro. O diretório também deve conter um único ficheiro POT, com a extensão ".pot" file. Para a primeira execução, este ficheiro pode estar vazio, mas deve existir (po4a não pode adivinhar o nome a usar antes da extensão).

Note que deve escolher apenas um de "po_diretório" e "po4a_caminhos". O primeiro ("po_directório") é mais compacto, reduz ainda mais o risco de erro de copiar/colar, mas obriga-o a usar a estrutura de projeto e os nomes de ficheiro esperados. O segundo ("po4a_paths") é mais explícito, provavelmente mais legível e é aconselhado quando configura o seu primeiro projeto com o po4a.

Ficheiros PO centralizados ou divididos?

Por predefinição, o po4a produz um único ficheiro PO por idioma de destino, a conter todo o conteúdo do seu projeto de tradução. Conforme o seu projeto cresce, o tamanho desses ficheiros pode tornar-se problemático. Ao utilizar weblate, é possível especificar prioridades para cada segmento de tradução (isto é, msgid), de modo que os importantes sejam traduzidos primeiro. Mesmo assim, algumas equipas de tradução preferem dividir o conteúdo em vários ficheiros.

Para ter um ficheiro PO por ficheiro mestre, basta usar a cadeia $master no nome dos ficheiros PO na linha "[po4a_paths]", da maneira seguinte.

 [po4a_paths] doc/$master/$master.pot $lang:doc/$master/$lang.po

With this line, po4a will produce separate POT and PO files for each document to translate. For example, if you have 3 documents and 5 languages, this will result in 3 POT files and 15 PO files. These files are named as specified on the "po4a_paths" template, with $master substituted to the basename of each document to translate. In case of name conflict, you can specify the POT file to use as follows, with the "pot=" parameter. This feature can also be used to group several translated files into the same POT file.

 [po4a_langs] de fr ja
 [po4a_paths] l10n/po/$master.pot $lang:l10n/po/$master.$lang.po
 [type: xml] foo/gui.xml $lang:foo/gui.$lang.xml pot=foo-gui
 [type: xml] bar/gui.xml $lang:bar/gui.$lang.xml pot=bar
 [type: xml] bar/cli.xml $lang:bar/cli.$lang.xml pot=bar

No modo split, po4a constrói um compêndio temporário durante a atualização do PO, para compartilhar as traduções entre todos os ficheiros do PO. Se dois ficheiros PO tiverem traduções diferentes para a mesma cadeia, po4a marcará esta cadeia como difusa e enviará ambas as traduções em todos os ficheiros PO a conter esta cadeia. Quando o tradutor não se deixa abater, a tradução é automaticamente utilizada em todos os ficheiros PO.

  Especificando os documentos para traduzir
Também deve listar os documentos que devem ser traduzidos. Para cada ficheiro mestre, deve especificar o analisador de formato a ser usado, o local do documento traduzido a ser produzido e, opcionalmente, uma configuração. Aqui está um exemplo:

 [type: sgml] doc/my_stuff.sgml fr:doc/fr/mon_truc.sgml \
              de:doc/de/mein_kram.sgml
 [type: man] script fr:doc/fr/script.1 de:doc/de/script.1
 [type: docbook] doc/script.xml fr:doc/fr/script.xml \
             de:doc/de/script.xml

Mas, novamente, essas linhas complexas são difíceis de ler e modificar, por exemplo, ao adicionar um novo idioma. É muito mais simples reorganizar as coisas a usar o modelo $lang da maneira seguinte:

 [type: sgml]    doc/my_stuff.sgml $lang:doc/$lang/my_stuff.sgml
 [type: man]     script.1          $lang:po/$lang/script.1
 [type: docbook] doc/script.xml    $lang:doc/$lang/script.xml

  Especificar opções
Há dois tipos de opções: opções do po4a são valores predefinidos para as opções de linha de comando po4a enquanto opções de formato são usadas para alterar o comportamento dos analisadores de formato. Como uma opções do po4a, pode, por exemplo, especificar no seu ficheiro de configuração que o valor predefinido do parâmetro de linha de comando --keep é de 50% em vez de 80%. Opções de formato estão documentadas na página específica de cada módulo de análise, por exemplo, Locale::Po4a::Xml(3pm). Pode, por exemplo, passar nostrip para o analisador XML para não remover os espaços ao redor das cadeias extraídas.

Pode passar essas opções a um ficheiro mestre específico ou mesmo a uma tradução específica desse ficheiro, a usar "opt:" e "opt_XX:" para o idioma "XX". No exemplo a seguir, a opção nostrip é passada ao analisador XML (para todos os idiomas), enquanto o limite será reduzido a 0% para a tradução em francês (que, portanto, é sempre mantida).

 [type:xml] toto.xml $lang:toto.$lang.xml opt:"-o nostrip" opt_fr:"--keep 0"

De qualquer forma, esses blocos de configuração devem estar localizados no final da linha. A declaração dos ficheiros deve vir primeiro, depois o adendo, se houver (veja abaixo) e somente as opções. O agrupamento de pedaços de configuração não é muito importante, pois os elementos são internamente concatenados como cadeias. Os exemplos a seguir são todos equivalentes:

  [type:xml] toto.xml $lang:toto.$lang.xml opt:"--keep 20" opt:"-o nostrip" opt_fr:"--keep 0"
  [type:xml] toto.xml $lang:toto.$lang.xml opt:"--keep 20 -o nostrip" opt_fr:"--keep 0"
  [type:xml] toto.xml $lang:toto.$lang.xml opt:--keep opt:20 opt:-o opt:nostrip opt_fr:--keep opt_fr:0

Observe que as opções específicas do idioma não são usadas ao criar o ficheiro POT. Por exemplo, é impossível passar nostrip para o analisador apenas ao criar a tradução em francês, porque o mesmo ficheiro POT é usado para atualizar todos os idiomas. Portanto, as únicas opções que podem ser específicas do idioma são as usadas na produção da tradução, como a opção "--keep".

Aliases de configuração

Para passar as mesmas opções para vários ficheiros, o melhor é definir um alias de tipo da maneira seguinte. No próximo exemplo, "--keep 0" é passado para todas as traduções em italiano a usar este tipo "test", que é uma extensão do tipo "man".

  [po4a_alias:test] man opt_it:"--keep 0"
  [type: test] man/page.1 $lang:man/$lang/page.1

Também pode estender um tipo existente de reutilizar o mesmo nome ao alias da forma seguinte. Este não é interpretada como uma errônea definição recursiva.

  [po4a_alias:man] man opt_it:"--keep 0"
  [type: man] man/page.1 $lang:man/$lang/page.1

Opções predefinidas globais

Também pode usar as linhas "[options]" para definir opções que devem ser usadas para todos os ficheiros, independentemente do tipo dele.

  [options] --keep 20 --option nostrip

Como nas opções da linha de comando, pode abreviar os parâmetros passados no ficheiro de configuração:

  [options] -k 20 -o nostrip

Prioridades das opções

As opções de todas as fontes são concatenadas, a garantir que os valores predefinidos possam ser facilmente substituídos por opções mais específicas. A ordem é a seguinte:

•   As linhas "[options]" fornecem valores predefinidos que podem ser substituídos por qualquer outra fonte.

•   Os aliases de tipo são então usados. As configurações específicas do idioma substituem as aplicáveis a todos os idiomas.

•   As configurações específicas de um determinado ficheiro mestre substituem as predefinidas e as provenientes do alias de tipo. Neste caso, as configurações específicas do idioma também substituem as globais.

•   Finalmente, os parâmetros fornecidos na linha de comando po4a substituem todas as configurações do ficheiro de configuração.

Exemplo

Aqui está um exemplo a mostrar como citar os espaços e aspas:

 [po_directory] man/po/

 [options] --master-charset UTF-8

 [po4a_alias:man] man opt:"-o \"mdoc=NAME,SEE ALSO\""
 [type:man] t-05-config/test02_man.1 $lang:tmp/test02_man.$lang.1 \
            opt:"-k 75" opt_it:"-L UTF-8" opt_fr:--verbose

  Adendo: adicionar conteúdo na tradução
Se deseja adicionar uma secção adicional à tradução, por exemplo, para dar mérito ao tradutor, é necessário definir um adendo à linha que define o seu ficheiro mestre. Consulte a página po4a(7) para obter mais detalhes sobre a sintaxe dos ficheiros de adendo.

 [type: pod] script fr:doc/fr/script.1 \
             add_fr:doc/l10n/script.fr.add

Também pode usar modelos de idioma da maneira seguinte:

 [type: pod] script $lang:doc/$lang/script.1 \
             add_$lang:doc/l10n/script.$lang.add

Se um adendo não se aplicar, a tradução será descartada.

Modificadores para a declaração de adendo

Os modificadores de adendo podem simplificar o ficheiro de configuração no caso em que nem todos os idiomas fornecem um adendo ou quando a lista de adendos muda de um idioma ao outro. O modificador é um único caractere localizado antes do nome do ficheiro.

?   Incluir addendum_path se este ficheiro existir, caso contrário não fazer nada.

@   addendum_path não é uma adenda regular, mas um ficheiro a conter uma lista de adendas, uma por linha. Cada adenda pode ser precedida de modificadores.

!   addendum_path é descartado, não é carregado e não será carregado por qualquer especificação de adenda.

O seguinte inclui um adendo em qualquer idioma, mas só se existir. Nenhum erro será relatado se o adendo não existir.

 [type: pod] script $lang:doc/$lang/script.1  add_$lang:?doc/l10n/script.$lang.add

O seguinte inclui uma lista de adendos para cada idioma:

 [type: pod] script $lang:doc/$lang/script.1  add_$lang:@doc/l10n/script.$lang.add

  Filtrar as cadeias traduzidas
Às vezes, deseja ocultar algumas cadeias do processo de tradução. Nesse sentido, pode atribuir um parâmetro "pot_in" ao seu ficheiro mestre para especificar o nome do ficheiro a ser usado em vez do mestre real ao criar o ficheiro POT. Aqui está um exemplo:

  [type:docbook] book.xml          \
          pot_in:book-filtered.xml \
          $lang:book.$lang.xml

Com essa configuração, as cadeias a serem traduzidas serão extraídas do book-filter.xml (que deve ser produzido antes da chamada de po4a) enquanto os ficheiros traduzidos serão compilados do book.xml. Como resultado, qualquer cadeia que faça parte de book.xml, mas não em book-filter.xml não será incluída nos ficheiros PO, a impedir que os tradutores forneçam uma tradução para eles. Portanto, essas cadeias não serão modificadas ao produzir os documentos traduzidos. Isso naturalmente diminui o nível de tradução, portanto, pode precisar da opção "--keep" para garantir que o documento seja produzido de qualquer maneira.

  EXEMPLO DE CONFIGURAÇÃO
A FAZER: Esta secção é realmente útil?

Vamos supor que mantém um programa chamado foo que tem uma página do manual man/foo.1 que naturalmente, é mantida apenas em Inglês. Agora como gestor do upstream ou downstream quer criar e manter a tradução. Primeiro precisa criar o ficheiro POT necessário para enviar aos tradutores a usar po4a-gettextize(1).

Então para o nosso caso chamaríamos

 cd man && po4a-gettextize -f man -m foo.1 -p foo.pot

Teria então que enviar este ficheiro às listas de idiomas adequadas ou oferecê-lo para descarregar em algum lugar do seu site.

Agora, vamos supor que recebeu três traduções antes do seu próximo lançamento: de.po (incluindo uma adenda de.add), sv.po e pt.po. Desde que não queira mudar o seu Makefile(s) sempre que uma nova tradução chega, pode usar po4a com um ficheiro de configuração apropriado no seu Makefile. Vamos chamá-lo po4a.cfg. No nosso exemplo seria algo como o seguinte:

 [po_directory] man/po4a/po/

 [type: man] man/foo.1 $lang:man/translated/$lang/foo.1 \
            add_$lang:?man/po4a/add_$lang/$lang.add opt:"-k 80"

Neste exemplo, vamos supor que as suas páginas de manual geradas (e todos ficheiros PO e adendas) devem ser armazenadas em man/translated/$lang/ (respectivamente em man/po4a/po/ e man/po4a/add_$lang/) abaixo do diretório atual. No nosso exemplo o diretório man/po4a/po/ incluiria de.po, pt.po e sv.po e o diretório man/po4a/add_de/ incluiria F <de.add>.

Observe o uso do modificador ? apenas como a tradução alemã (de.po) é acompanhado por uma adenda.

Para realmente construir as páginas do manual traduzidas então (uma vez!) adiciona a seguinte linha no ponto build do Makefile apropriado:

        po4a po4a.cfg

Assim que isso estiver sido configurado, não precisa tocar no Makefile quando uma nova tradução aparecer, p.ex. se a equipa francesa enviar-lhe fr.po e fr.add, iria simplesmente colocá-las respetivamente em man/po4a/po/ e man/po4a/add_fr/ e o a próxima vez que o programa for compilado, a tradução em francês também será compilada automaticamente em man/translated/fr/.

Note que ainda precisa de um destino apropriado para instalar páginas do manual localizadas em Inglês.

Finalmente, se não armazenar ficheiros gerados no seu sistema de controlo de versão, vai precisar de uma linha no seu ponto clean bem como:
        -rm -rf man/translated

VER TAMBÉM
po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a-updatepo(1), po4a(7).

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas Francois <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

DIREITOS DE AUTOR E LICENÇA
Direitos de Autor 2002-2020 por SPI, inc.

Este programa é software livre, pode redistribuí-lo e/ou modificá-lo sob os termos da GPL (consulte o ficheiro CÓPIA).